Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLAppletElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLAppletElementImpl

public final class HTMLAppletElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLAppletElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:08 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLAppletElement`, `HTMLElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLAppletElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`java.lang.String` | `getArchive()`
`java.lang.String` | `getCode()`
`java.lang.String` | `getCodeBase()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getHspace()`
`java.lang.String` | `getName()`
`java.lang.String` | `getObject()`
`java.lang.String` | `getVspace()`
`java.lang.String` | `getWidth()`
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setArchive(java.lang.String archive)`
`void` | `setCode(java.lang.String code)`
`void` | `setCodeBase(java.lang.String codeBase)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String height)`
`void` | `setName(java.lang.String name)`
`void` | `setObject(java.lang.String object)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLAppletElementImpl

    public HTMLAppletElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Specified by:
    getAlign in interface org.w3c.dom.html.HTMLAppletElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface org.w3c.dom.html.HTMLAppletElement

### getAlt

    public java.lang.String getAlt()

  Specified by:
    getAlt in interface org.w3c.dom.html.HTMLAppletElement

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    setAlt in interface org.w3c.dom.html.HTMLAppletElement

### getArchive

    public java.lang.String getArchive()

  Specified by:
    getArchive in interface org.w3c.dom.html.HTMLAppletElement

### setArchive

    public void setArchive(java.lang.String archive)

  Specified by:
    setArchive in interface org.w3c.dom.html.HTMLAppletElement

### getCode

    public java.lang.String getCode()

  Specified by:
    getCode in interface org.w3c.dom.html.HTMLAppletElement

### setCode

    public void setCode(java.lang.String code)

  Specified by:
    setCode in interface org.w3c.dom.html.HTMLAppletElement

### getCodeBase

    public java.lang.String getCodeBase()

  Specified by:
    getCodeBase in interface org.w3c.dom.html.HTMLAppletElement

### setCodeBase

    public void setCodeBase(java.lang.String codeBase)

  Specified by:
    setCodeBase in interface org.w3c.dom.html.HTMLAppletElement

### getHeight

    public java.lang.String getHeight()

  Specified by:
    getHeight in interface org.w3c.dom.html.HTMLAppletElement

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    setHeight in interface org.w3c.dom.html.HTMLAppletElement

### getHspace

    public java.lang.String getHspace()

  Specified by:
    getHspace in interface org.w3c.dom.html.HTMLAppletElement

### setHspace

    public void setHspace(java.lang.String height)

  Specified by:
    setHspace in interface org.w3c.dom.html.HTMLAppletElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLAppletElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLAppletElement

### getObject

    public java.lang.String getObject()

  Specified by:
    getObject in interface org.w3c.dom.html.HTMLAppletElement

### setObject

    public void setObject(java.lang.String object)

  Specified by:
    setObject in interface org.w3c.dom.html.HTMLAppletElement

### getVspace

    public java.lang.String getVspace()

  Specified by:
    getVspace in interface org.w3c.dom.html.HTMLAppletElement

### setVspace

    public void setVspace(java.lang.String vspace)

  Specified by:
    setVspace in interface org.w3c.dom.html.HTMLAppletElement

### getWidth

    public java.lang.String getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.html.HTMLAppletElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface org.w3c.dom.html.HTMLAppletElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD